LibreOffice: cppu::ImplementationEntry Struct Reference

LibreOffice LibreOffice 7.5 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
cppu::ImplementationEntry Struct Reference

One struct instance represents all data necessary for registering one service implementation. More...

`#include <implementationentry.hxx>`

## Public Attributes
ComponentFactoryFunc | create
| Function that creates an instance of the implementation.
rtl::OUString(* | getImplementationName )()
| Function that returns the implementation-name of the implementation (same as XServiceInfo.getImplementationName() ).
css::uno::Sequence< rtl::OUString >(* | getSupportedServiceNames )()
| Function that returns all supported servicenames of the implementation ( same as XServiceInfo.getSupportedServiceNames() ).
css::uno::Reference< css::lang::XSingleComponentFactory >(* | createFactory )(ComponentFactoryFunc fptr, ::rtl::OUString const &rImplementationName, css::uno::Sequence< ::rtl::OUString > const &rServiceNames, rtl_ModuleCount *pModCount)
| Function that creates a SingleComponentFactory.
rtl_ModuleCount * | moduleCounter
| Backwards-compatibility remainder of a removed library unloading feature; always set to null.
sal_Int32 | nFlags
| Must be set to 0 ! For future extensions.

## Detailed Description

One struct instance represents all data necessary for registering one service implementation.

## Member Data Documentation

## ◆ create

ComponentFactoryFunc cppu::ImplementationEntry::create

Function that creates an instance of the implementation.

## ◆ createFactory

css::uno::Reference< css::lang::XSingleComponentFactory >(* cppu::ImplementationEntry::createFactory) (ComponentFactoryFunc fptr, ::rtl::OUString const &rImplementationName, css::uno::Sequence< ::rtl::OUString > const &rServiceNames, rtl_ModuleCount *pModCount)

Function that creates a SingleComponentFactory.

The pModCount parameter is a backwards-compatibility remainder of a removed library unloading feature; always set to null.

## ◆ getImplementationName

rtl::OUString(* cppu::ImplementationEntry::getImplementationName) ()

Function that returns the implementation-name of the implementation (same as XServiceInfo.getImplementationName() ).

## ◆ getSupportedServiceNames

css::uno::Sequence< rtl::OUString >(* cppu::ImplementationEntry::getSupportedServiceNames) ()

Function that returns all supported servicenames of the implementation ( same as XServiceInfo.getSupportedServiceNames() ).

## ◆ moduleCounter

rtl_ModuleCount* cppu::ImplementationEntry::moduleCounter

Backwards-compatibility remainder of a removed library unloading feature; always set to null.

## ◆ nFlags

sal_Int32 cppu::ImplementationEntry::nFlags

Must be set to 0 ! For future extensions.

The documentation for this struct was generated from the following file:

- cppuhelper/implementationentry.hxx